aboutsummaryrefslogtreecommitdiffstats
path: root/testing/corosync/corosync.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-10-28 12:47:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-28 13:18:51 +0000
commit707f516c1fba27617f069093c96b245d291cee1c (patch)
tree38b01c6b012879f2471efba12c04d57caa1d68c2 /testing/corosync/corosync.initd
parent14753197c7491ae7b29288e8376d6f32bc74e095 (diff)
downloadaports-707f516c1fba27617f069093c96b245d291cee1c.tar.bz2
aports-707f516c1fba27617f069093c96b245d291cee1c.tar.xz
testing/corosync: upgrade to 2.3.4 and fix build with musl
Diffstat (limited to 'testing/corosync/corosync.initd')
-rw-r--r--testing/corosync/corosync.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/corosync/corosync.initd b/testing/corosync/corosync.initd
new file mode 100644
index 0000000000..6c134bd937
--- /dev/null
+++ b/testing/corosync/corosync.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/corosync/files/corosync.initd,v 1.2 2010/11/17 07:07:03 xarthisius Exp $
+
+depend() {
+ need net
+ use logger
+}
+
+start() {
+ ebegin "Starting Corosync Cluster Engine"
+ start-stop-daemon --start -q --exec /usr/sbin/corosync \
+ --pidfile /var/run/corosync.pid --make-pidfile --background \
+ -- -f
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Corosync Cluster Engine"
+ start-stop-daemon --stop -q --pidfile /var/run/corosync.pid
+ eend $?
+}